Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.spi
Interface ServerContext

All Known Implementing Classes:
  AbstractServerContext

    public interface ServerContext

Defines the request context contract. It's usage is related to the Servlet Container operational environment.

Version:
  $Revision: 6929 $
Author:
  Julien Viet

Method Summary
`java.lang.Object` | `dispatch(org.jboss.portal.web.ServletContainer servletContainer, javax.servlet.ServletContext targetServletContext, org.jboss.portal.web.RequestDispatchCallback callback, java.lang.Object handback)` Delegate to the request context the dispatching to the target servlet context using the specified spi elements.
`java.lang.String` | `getScheme()` Return the scheme value.
`java.lang.String` | `getServerName()` Return the server name value.
`int` | `getServerPort()` Return the server port value.

Method Detail

### getScheme

    java.lang.String getScheme()

  Return the scheme value.

  Returns:
    the scheme

### getServerName

    java.lang.String getServerName()

  Return the server name value.

  Returns:
    the server name

### getServerPort

    int getServerPort()

  Return the server port value.

  Returns:
    the server port

### dispatch

    java.lang.Object dispatch(org.jboss.portal.web.ServletContainer servletContainer,
                              javax.servlet.ServletContext targetServletContext,
                              org.jboss.portal.web.RequestDispatchCallback callback,
                              java.lang.Object handback)
                              throws java.lang.Exception

  Delegate to the request context the dispatching to the target servlet context using the specified spi elements.

  Parameters:
    `servletContainer` - the servlet container spi
    `targetServletContext` - the target servlet context
    `callback` - the call back to be done after dispatch
    `handback` - the hand back object to provide after dispatch to the call back
  Returns:
    the call back returned object
  Throws:
    `java.lang.Exception` - any exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.